<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>dez-canvas test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>
    <script src="utils.js"></script>

    <link rel="import" href="../dez-canvas.html">
  </head>
  <body>

    <test-fixture id="BasicTestWithPlusZoom">
      <template>
        <dez-canvas zoom="2"></dez-canvas>
      </template>
    </test-fixture>

    <test-fixture id="BasicTestWithMinusZoom">
      <template>
        <dez-canvas zoom="0.5"></dez-canvas>
      </template>
    </test-fixture>

    <script>

    suite ('Zoom tests', function () {

        test('instantiating the element with a plus zoom (2) should set default dimensions', function() {
            let element = fixture('BasicTestWithPlusZoom');
            assert.equal(element.zoom, "2");
            let svgElement = element.shadowRoot.querySelector('svg');
            assert.equal(svgElement.getAttribute("height"), '500');
            assert.equal(svgElement.getAttribute("width"), '1000');
            assert.equal(svgElement.getAttribute("viewBox"), '0 0 500 250');
        });

        test('instantiating the element with a minus zoom (0.5) should set default dimensions', function() {
            let element = fixture('BasicTestWithMinusZoom');
            assert.equal(element.zoom, "0.5");
            let svgElement = element.shadowRoot.querySelector('svg');
            assert.equal(svgElement.getAttribute("height"), '125');
            assert.equal(svgElement.getAttribute("width"), '250');
            assert.equal(svgElement.getAttribute("viewBox"), '0 0 500 250');
        });

    });

    </script>

  </body>
</html>
